Subject: Re: [PATCH 2/15] powerpc, celleb: Basic supports for Celleb

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 14 Dec 2006 18:43:28 +1100

On Thu, 2006-12-14 at 07:37 +0000, David Woodhouse wrote:
> On Thu, 2006-12-14 at 16:37 +1100, Benjamin Herrenschmidt wrote:
> > > > I'm not sure if it's a good idea to claim CHRP compatibility
> > > > here. Is that a workaround for a specific incompatibility? Normally,
> > > > I'd say you should print "machine\t\t: BEAT %s\n" or
> > > > "machine\t\t: Celleb %s\n", since you are definitely not running
> > > > a CHRP compatible firmware.
> > > 
> > > This is placed only to "trick" Anaconda into installing Fedora Core Linux.
> > > Fedora refuses to be installed into 'unknown' system.
> > 
> > David, can you do some serious LART'ing of whoever is responsible for
> > this in anaconda ? Is there at least an option somebody can pass on the
> > commmand line to make it work on unknown platforms ?
> 
> Define 'work'. I believe it ends up doing _different_ things according
> to the machine type -- in particular the selection of the bootloader
> setup. You want to treat all unknown machines as CHRP? Paul, can we do
> that?
> 
> When does the Fedora team get a Celleb machine for compatibility
> testing, btw?

Can we have a way via the kernel command line to force anaconda into a
given machine mode maybe ? That would be good for unsupported
machines... it gives me itches to have the kernel lie.

Ben.